
D4Science Infrastructure - Incident #6982

Additional email addresses portlet: Problem connecting Google email account 

Feb 08, 2017 10:06 AM - Massimiliano Assante

Status: Closed Start date: Feb 08, 2017

Priority: Urgent Due date: Feb 08, 2017

Assignee: Panagiota Koltsida % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

we got an email from a user that could not connect his gmail account via the Additional email addresses portlet. I verified with my

gmail account and everything worked. By looking at this particular user I see that he has set an additional email address (other than

the gmail account) and set it as primary, not sure if this could be the cause.

Details follows in private notes.

History

#2 - Feb 08, 2017 10:57 AM - Panagiota Koltsida

- Status changed from New to In Progress

#3 - Feb 08, 2017 11:17 AM - Panagiota Koltsida

- File additional_addresses_tab-my_account_portlet.png added

#5 - Feb 08, 2017 11:42 AM - Massimiliano Assante

You right, should remove the option to make primary another email address. For this specific case the user however had put primary one other

additional email address (not the google one) nor the standard one.

not sure it can help

#7 - Feb 09, 2017 11:56 AM - Massimiliano Assante

- % Done changed from 0 to 50

The user was able to do the linking account operation with Google today, so perhaps there is an expiration time in the verification link, could you

check?

#8 - Feb 09, 2017 12:20 PM - Panagiota Koltsida

Yes I m trying to check if there is a default expiration time. In addition to that could you please check if the mentioned code:

"c6ce86d9-00f1-4187-9f24-01e24cc5c8e9" exists into the database? EmailAddress table in the Customfield

#9 - Feb 09, 2017 03:02 PM - Panagiota Koltsida

From the code I cannot find an expiration code, unless is set in the portal globally. The verification is done using a specific struts action which

checked for this code into the appropriate table, where the code was set the first time.

@massimiliano.assante@isti.cnr.it can you think of something that may cause this issue? Is there only one database? Is there a case that the insert

failed for a reason?

I see a log message: "log.error("Error during the addition of the value", e);" we could check for an error with that message maybe?

Unfortunately I cannot reproduce the problem to find out more.

#10 - Feb 09, 2017 03:11 PM - Massimiliano Assante

Panagiota Koltsida wrote:

Yes I m trying to check if there is a default expiration time. In addition to that could you please check if the mentioned code:

"c6ce86d9-00f1-4187-9f24-01e24cc5c8e9" exists into the database? EmailAddress table in the Customfield

 Yes only one database and the select below returned nothing: 

select * from emailaddress WHERE uuid_ = 'c6ce86d9-00f1-4187-9f24-01e24cc5c8e9';
#11 - Feb 13, 2017 09:58 AM - Panagiota Koltsida

- Status changed from In Progress to Closed

since I cannot reproduce the issue I will close this ticket.

User may have removed the just added email from his list and then clicked on the verification URL.

In case this happens again, we will recheck the possible issue.
